// ****************************************************************************
//  Project:        GUYMAGER
// ****************************************************************************
//  Programmer:     Guy Voncken
//                  Police Grand-Ducale
//                  Service de Police Judiciaire
//                  Section Nouvelles Technologies
// ****************************************************************************
//  Module:         The info field area 
// ****************************************************************************



#ifndef __INFOFIELD_H__
#define __INFOFIELD_H__

#include <QtGui>      //lint !e537 Repeated include

#ifndef __COMMON_H__
   #include "common.h"
#endif

#ifndef __DEVICE_H__
  #include "device.h"
#endif

class t_InfoFieldLocal;

class t_InfoField: public QFrame
{
   Q_OBJECT

   public:
      t_InfoField ();
      t_InfoField (QWidget *pParent);
     ~t_InfoField ();

   public slots:
      void SlotShowInfo (t_pDevice pDevice);

   private:
      t_InfoFieldLocal *pOwn;
};

typedef t_InfoField *t_pInfoField;


// ------------------------------------
//             Error codes
// ------------------------------------

   #ifdef __MODULES_H__
      enum
      {
         ERROR_INFOFIELD_CONSTRUCTOR_NOT_SUPPORTED = ERROR_BASE_INFOFIELD + 1,
         
      };
   #endif

#endif
